Name:           k9copy
Version:        2.3.7
Release:        6.15

License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/CD/Record  
Summary:        DVD backup utility
URL:            http://k9copy.sourceforge.net

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Source0:        k9copy-%{version}-Source.tar.gz

Patch0:         k9copy-ffmpeg-abi-change.diff
Requires:       vamps dvd+rw-tools
Requires:       dvdauthor

# Also keep the Requires as BuildRequires to make the build fail when those dependencies
# are not available:
BuildRequires:  vamps dvd+rw-tools
BuildRequires:  dvdauthor
BuildRequires:  cmake gcc-c++ libdvdread-devel libffmpeg-devel libkde4-devel libmpeg2-devel libxine-devel
BuildRequires:  libkde4-devel kdebase4-workspace-devel
%kde4_runtime_requires
%if 0%{?kde4_knotification_requires:1}
%kde4_knotification_requires
%endif


%description
K9Copy is a small utility which allows the copy of DVD on Linux.
The DVD video stream is compressed by the program Vamps.


%prep
%setup -q -n "k9copy-%{version}-Source"
%patch0 -p1


%build
LIBSUFFIX=$(echo "%{_lib}" | %__sed 's|^lib||')                                                                                             
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_STRIP="/usr/bin/touch" \
    -DLIB_SUFFIX="$LIBSUFFIX"

%__make %{?jobs:-j%{jobs}} V=1

%install
%makeinstall

for x in k9copy k9copy_assistant; do
    %suse_update_desktop_file -r "$x" AudioVideo AudioVideoEditing
done

find "%{buildroot}%{_datadir}/kde4/apps/" -type f -name '*.desktop' -exec %__chmod 0644 {} \;
find "%{buildroot}%{_datadir}/applications/" -type f -name '*.desktop' -exec %__chmod 0644 {} \;

%find_lang k9copy

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f k9copy.lang
%defattr(-,root,root)
%{_bindir}/k9copy
%{_bindir}/k9xineplayer
%{_bindir}/k9play
%{_datadir}/kde4/apps/k9copy
%{_datadir}/applications/kde4/k9copy.desktop
%{_datadir}/icons/*/*/apps/k9copy.*
%{_datadir}/applications/kde4/k9copy_assistant.desktop
%{_datadir}/kde4/apps/solid/actions/k9copy_assistant_open.desktop
%{_datadir}/kde4/apps/solid/actions/k9copy_open.desktop
%if %suse_version <= 1120
%{_datadir}/locale/sr@Latn
%{_datadir}/locale/sr@Latn/LC_MESSAGES
%endif


%changelog
* Sun May 29 2011 Manfred.Tremmel@iiv.de
- included a patch to compile against new ffmpeg abi
* Tue Apr 26 2011 detlef@links2linux.de
- new upstream release <2.3.7>
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- Require dvdauthor0_6 until a new upstream version has adapted to the CLI changes in dvdauthor 0.7.x
* Sat Aug 14 2010 detlef@links2linux.de
- new upstream release <2.3.6>
* Thu Feb 11 2010 detlef@links2linux.de
- new upstream release <2.3.5>
* Fri Dec 11 2009 detlef@links2linux.de
- new upstream release <2.3.4>
* Thu Nov  5 2009 detlef@links2linux.de
- new upstream release <2.3.3>
* Sun Apr  5 2009 pascal.bleser@opensuse.org
- update to 2.3.1:
  * many improvements in the main window
  * added new settings (programs and output paths)
- changed desktop category to AudioVideoEditing
- minor spec file cleanups
* Fri Mar 13 2009 pascal.bleser@opensuse.org
- update to 2.3.0:
  * temporary files are deleted again
  * added file save dialogs in the destination page of the wizard
  * added possibility to choose the preferred language for subtitles and audio
  * added a column in the wizard's title list for the length of the title
  * added possibility to select a cropping region before running encoding
    (need to reset codecs in k9copy settings)
  * fixed video rescaling with mencoder
* Sat Feb 21 2009 detlef@links2linux.de
- new upstream release <2.2.0>
* Sat Dec 27 2008 detlef@links2linux.de
- rebuild with new libdvdread
* Fri Oct 31 2008 detlef@links2linux.de
- new upstream release <2.1.0>
  * backup assistant
  * better kde integration (device notifier)
  * inclusion of libdvdread to avoid crashes
  * many bug fixes and optimizations
* Sat Jun 28 2008 detlef@links2linux.de
- new upstream release <2.0.2>
* Sat Jun 14 2008 detlef@links2linux.de
- new upstream release <2.0.1>
* Wed Apr 30 2008 detlef@links2linux.de
- new upstream release <2.0.0>
* Sun Jan 20 2008 detlef@links2linux.de
- new upstream release <1.2.3>
* Sun Dec 30 2007 detlef@links2linux.de
- new upstream release <1.2.2>
* Fri Dec  7 2007 detlef@links2linux.de
- new upstream release <1.2.1>
* Thu Nov  1 2007 detlef@links2linux.de
- new upstream release <1.2.0>
* Fri Aug 17 2007 detlef@links2linux.de
- new upstream release <1.1.3>
* Sat Aug  4 2007 detlef@links2linux.de
- new upstream release <1.1.2>
* Mon Apr  2 2007 detlef@links2linux.de
- new upstream version <1.1.1-3>
* Fri Mar 30 2007 detlef@links2linux.de
- new upstream version <1.1.1-2>
* Wed Mar 28 2007 detlef@links2linux.de
- new upstream version <1.1.1>
* Sun Dec 10 2006 detlef@links2linux.de
- readd libdvdread.patch
* Tue Oct 10 2006 detlef@links2linux.de
- new upstream version
* Fri Apr 28 2006 detlef@links2linux.de
- new upstream version
* Sat Apr 15 2006 detlef@links2linux.de
- new upstream version
* Wed Dec 21 2005 detlef@links2linux.de
- update to 1.0.2
* Thu Nov  3 2005 detlef@links2linux.de
- update to 1.0.1
- don't install k3b-libs
* Mon Oct 31 2005 detlef@links2linux.de
- first build for packman
